Tietoja suojauspäivityksen 2018-001 Swift 4.1.1 Ubuntu 14.04:lle turvallisuussisällöstä

Tässä asiakirjassa kerrotaan suojauspäivityksen 2018-001 Swift 4.1.1 Ubuntu 14.04:lle turvallisuussisällöstä.

Tietoja Applen suojauspäivityksistä

Suojellakseen asiakkaitaan Apple ei paljasta tietoturvaongelmia eikä anna niistä tietoja tai vahvista niitä, ennen kuin täydellinen tutkinta on tehty ja tarpeelliset korjauspäivitykset tai uudet versiot ovat saatavilla. Viimeisimmät julkaisut on listattu Applen suojauspäivitykset -sivulla.

Lisätietoja turvallisuudesta saat Applen tuoteturvallisuus -sivulta. Voit salata Applen kanssa käydyt keskustelut käyttämällä Applen tuoteturvallisuuden PGP-avainta.

Apple käyttää CVE-ID-tunnuksia mahdollisuuksien mukaan viittaamaan lisätietoihin haavoittuvuuksista.

Suojauspäivitys 2018-001 Swift 4.1.1 Ubuntu 14.04:lle

Julkaistu 4.5.2018

Swift Ubuntulle

Saatavuus: Ubuntu 14.04

Ei vaikutusta: Ubuntu 16.04 ja Ubuntu 16.10

Vaikutus: Prosessi saattoi saada pääkäyttöoikeudet ja suorittaa mielivaltaista koodia.

Kuvaus: Ubuntu 14.04:n tietyissä Swift-versioissa esiintyi ongelma, joka latasi kirjastoihin kirjoitus- ja suoritusoikeuksia. Ongelma on ratkaistu parantamalla oikeuksia.

CVE-2018-4220: Apple

Tiedot tuotteista, jotka eivät ole Applen valmistamia, sekä tiedot itsenäisistä verkkosivustoista, jotka eivät ole Applen hallinnoimia tai testaamia, eivät sisällä suosituksia. Apple ei vastaa muiden valmistajien verkkosivustojen tai tuotteiden valikoimasta, toimivuudesta tai käytöstä. Apple ei takaa muiden valmistajien verkkosivustojen tarkkuutta tai luotettavuutta. Saat lisätietoja ottamalla yhteyttä myyjään.

Julkaisupäivämäärä: